// ignore_for_file: avoid_print

import 'package:dart_redis_connector/dart_redis_connector.dart';

Future<void> main(List args) async {
  final redisOptions = RedisOptions();
  final redis = RedisConnector(redisOptions);
  await redis.connect();
  final keys = await redis.scan('scan', match: '*123*').toList();
  print(keys); // [ ... keys ]

  final setReply = await redis.send<String>('SET', args: ['key', 'value']);
  final getReply = await redis.send<String?>('GET', args: ['key']);
  print(setReply.value); // OK
  print(getReply.value); // value
}
